Skip to main content
GET
/
v3
/
appointment-queues
/
{appointmentQueue}
Read Appointment Queue
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-queues/{appointmentQueue}
{
  "data": {
    "id": 123,
    "appointment_definition_id": 123,
    "profile_id": "<string>",
    "profile": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "location_id": 123,
    "location": {
      "id": "<string>",
      "name": "<string>",
      "handle": "<string>",
      "timezone": "<string>"
    },
    "staff_id": "<string>",
    "staff": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "appointment_id": 123,
    "status": "<string>",
    "notes": "<string>",
    "meta": [
      "<unknown>"
    ],
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

appointmentQueue
integer
required

The appointment queue ID

Response

AppointmentQueue

data
AppointmentQueue · object
required